﻿using igGrid_getData_Core_MVC.Models;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;

namespace igGrid_getData_Core_MVC.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult GetData(string name)
        {
            return Json(GetProducts(name));
        }

        private List<Product> GetProducts(string? name)
        {
            List<Product> products = new List<Product>();
            for (int i = 0; i < 25; i++)
            {
                products.Add(new Product { Id = i, Name = $"Product {i}", Description = "xxx" });
            }

            if(name == null)
            {
                return products;
            }
            return products.Where(p => p.Name.Contains(name)).ToList();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}